<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Twenty_Seventeen
 * @since 1.0
 * @version 1.0
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js no-svg">
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link href="https://fonts.googleapis.com/css?family=Roboto:400,700&display=swap" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Roboto:700&display=swap" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Playball&display=swap" rel="stylesheet">
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div id="main-content">	
    <header id="site-head"> 
      <div class="container">
        <div class="site-logo fl">
          <?php the_custom_logo(); ?>
        </div>
        <div class="menu-btn">MENU</div>
        <nav id="site-nav" class="fr">
            <?php
              wp_nav_menu(
                array(
                  'theme_location' => 'top',
                  'menu_id'        => 'top-menu',
                  'menu_class'     => 'menu'
                )
              );
            ?>
        </nav>
      </div> 
    </header>
    
		<div id="site-content" class="<?php if(!is_front_page()){ echo 'container'; }?>">