<?php
/**
 * Template part for displaying page content in page.php
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage Twenty_Seventeen
 * @since 1.0
 * @version 1.0
 */
 
  $date_array = array('month', 'day', 'year');
  $get_from = (!empty($_GET['date_from'])) ? $_GET['date_from'] : '';
  $date_from_explode = explode('/',$get_from);
  $get_to = (!empty($_GET['date_to'])) ? $_GET['date_to'] : '';
  $date_to_explode = explode('/',$get_to);

  $date_from = (!empty($_GET['date_from'])) ? array_combine($date_array, $date_from_explode) : '';
  $date_to = (!empty($_GET['date_to'])) ? array_combine($date_array, $date_to_explode) : ''; 

  $paged = ( get_query_var( 'paged' ) ) ? absint( get_query_var( 'paged' ) ) : 1;

  $s = (!empty($_GET['day'])) ? $_GET['day'] : '';

  $args = array(
    'post_type' => 'lottery',
    'posts_per_page' => 5,
    'paged' => $paged,
    's' => $s,
    'date_query' => array(
                  'after' => $date_from,
                  'before' => $date_to,
                  'inclusive' => true,
                ),
  );

  $query = new WP_Query($args);
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
  <header class="entry-header">
    <?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
    <?php seswp_edit_link( get_the_ID() ); ?>
  </header><!-- .entry-header -->
  <div class="entry-header clearfix">
<!--    <div class="fl"><strong>Next Draw Sat, 04 May 2019, 6:30pm</strong></div> -->
    <!-- <div class="fr"> -->
      <form action="<?php the_permalink(); ?>" method="get" class="form-inline text-center" autocomplete="off">
        <div class="form-group">
          <div class="input-group input-daterange">
            <div class="input-group-addon">From</div>
            <input type="text" class="form-control" value="<?php echo $get_from; ?>" name="date_from" placeholder="Date"> 
            <div class="input-group-addon">to</div>
            <input type="text" class="form-control" value="<?php echo $get_to; ?>" name="date_to" placeholder="Date">
          </div>
        </div>
        <button type="submit" class="btn btn-info" style="width: 120px;margin-left: 10px;">Search</button>
      </form>
      <p>&nbsp;</p>
    <!-- </div> -->
  </div>
    <div class="entry-content">
  <?php 
    while($query->have_posts()){
      $query->the_post();

      $input = get_field('result');
      $result = explode("\n", str_replace("\r", "", $input));
  ?>
    <div class="table-result">
      <table class="table table-bordered table-striped">
        <thead>
                  <tr>
                    <th colspan="4" class="text-center">Result : <?php the_title(); ?></th>
                  </tr>
                </thead>
        <tbody>
                  <tr>
                    <td width="50%" colspan="2"><strong class="theme-text">1st Prize</strong></td>
                    <td width="50%" colspan="2"><?php echo $result[0]; ?></td>
                  </tr>
                  <tr>
                    <td width="50%" colspan="2"><strong class="theme-text">2nd Prize</strong></td>
                    <td width="50%" colspan="2"><?php echo $result[1]; ?></td>
                  </tr>
                  <tr>
                    <td width="50%" colspan="2"><strong class="theme-text">3rd Prize</strong></td>
                    <td width="50%" colspan="2"><?php echo $result[2]; ?></td>
                  </tr>
                  <tr class="ses-table-head">
                    <th width="50%" colspan="2" class="text-center">Starter</th>
                    <th width="50%" colspan="2" class="text-center">Consolation</th>
                  </tr> 
                  <tr>
                    <td><?php echo $result[3] ?></td>
                    <td><?php echo $result[4] ?></td>
                    <td><?php echo $result[13] ?></td>
                    <td><?php echo $result[14] ?></td>
                  </tr>
                  <tr>
                    <td><?php echo $result[5] ?></td>
                    <td><?php echo $result[6] ?></td>
                    <td><?php echo $result[15] ?></td>
                    <td><?php echo $result[16] ?></td>
                  </tr>
                  <tr>
                    <td><?php echo $result[7] ?></td>
                    <td><?php echo $result[8] ?></td>
                    <td><?php echo $result[17] ?></td>
                    <td><?php echo $result[18] ?></td>
                  </tr>
                  <tr>
                    <td><?php echo $result[9] ?></td>
                    <td><?php echo $result[10] ?></td>
                    <td><?php echo $result[19] ?></td>
                    <td><?php echo $result[20] ?></td>
                  </tr>
                  <tr>
                    <td><?php echo $result[11] ?></td>
                    <td><?php echo $result[12] ?></td>
                    <td><?php echo $result[21] ?></td>
                    <td><?php echo $result[22] ?></td>
                  </tr>       
        </tbody>
      </table>
    </div>
  <?php
    }wp_reset_postdata();
  ?>
      <div class="pagination text-center">
        <?php 
          $big = 999999999; 
          echo paginate_links( array(
            'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
            'format' => '?paged=%#%',
            'current' => max( 1, get_query_var('paged') ),
            'total' => $query->max_num_pages
          ) );
        ?>
      </div>  
    </div><!-- .entry-content -->
</article><!-- #post-## -->
